#include <stdio.h>
#include <stdlib.h>
#define K 1000000
int main()
{
    int n,x,max,min,put;
    scanf("%d",&n);
    scanf("%d",&x);
    int a[K],i,j;
    scanf("%d",&a[0]);
    max=a[0];
    min=a[0];
    for (i=1;i<n;i++)
    {
        scanf("%d",&a[i]);
        if (a[i]>max) max=a[i];
        else if (a[i]<min) min=a[i];
    }
    if (x<=min) put=max-x;
    else if (x>=max) put=x-min;
    else
    {
        if ((max-x)>=(x-min)) put=x+max-2*min;
        else put=2*max-x-min;
    }
    printf("%d",put);
}